Bug 200112 - [NEW PORTS] devel/hs-ncurses, games/hs-scroll: Bookworm stuck on a scroll
Summary: [NEW PORTS] devel/hs-ncurses, games/hs-scroll: Bookworm stuck on a scroll
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Gabor Pali
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-05-11 00:47 UTC by Nikolai Lifanov
Modified: 2016-02-19 20:54 UTC (History)
4 users (show)

See Also:
pgj: maintainer-feedback+
koobs: maintainer-feedback+


Attachments
games/hs-scroll (5.47 KB, patch)
2015-05-11 00:47 UTC, Nikolai Lifanov
no flags Details | Diff
hs-ncurses testport (18.32 KB, text/plain)
2015-05-11 00:49 UTC, Nikolai Lifanov
no flags Details
hs-scroll testport (30.55 KB, text/plain)
2015-05-11 00:50 UTC, Nikolai Lifanov
no flags Details
games/hs-scroll (5.48 KB, patch)
2015-09-15 19:15 UTC, Nikolai Lifanov
no flags Details | Diff
games/hs-scroll (5.49 KB, patch)
2015-12-20 02:23 UTC, Nikolai Lifanov
no flags Details | Diff
hs-ncurses testport (10.94 KB, text/plain)
2015-12-20 02:24 UTC, Nikolai Lifanov
no flags Details
hs-scroll testport (35.41 KB, text/plain)
2015-12-20 02:24 UTC, Nikolai Lifanov
no flags Details
hs-ncurses shar (1.03 KB, text/plain)
2015-12-20 02:25 UTC, Nikolai Lifanov
no flags Details
hs-scroll shar (1.23 KB, text/plain)
2015-12-20 02:25 UTC, Nikolai Lifanov
no flags Details
games/hs-scroll (5.49 KB, patch)
2015-12-20 02:27 UTC, Nikolai Lifanov
no flags Details | Diff
bsd.hackage.mk addition for devel/hs-ncurses (694 bytes, patch)
2016-02-01 17:15 UTC, Nikolai Lifanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov 2015-05-11 00:47:38 UTC
Created attachment 156633 [details]
games/hs-scroll

Please add a new port: games/hs-scroll. It was mentioned on DragonFlyBSD Digest and is located here: http://joeyh.name/code/scroll/

It's awesome, so there should be a FreeBSD port for it.

This patch also includes an addition of devel/hs-ncurses. If haskell@ wants either port, I can pass maintainership to them, but otherwise I would like to maintain games/hs-scroll and willing to maintain devel/hs-ncurses.
Comment 1 Nikolai Lifanov 2015-05-11 00:49:49 UTC
Created attachment 156634 [details]
hs-ncurses testport

poudriere testport for devel/hs-ncurses
Comment 2 Nikolai Lifanov 2015-05-11 00:50:47 UTC
Created attachment 156635 [details]
hs-scroll testport

poudriere testport for games/hs-scroll
Comment 3 Nikolai Lifanov 2015-09-15 19:15:32 UTC
Created attachment 161075 [details]
games/hs-scroll

Reroll patch for bsd.hackage.mk change.
Comment 4 Nikolai Lifanov 2015-09-16 12:46:40 UTC
There is currently an issue with hs-scroll and new ghc that I'm investigating.
But hs-ncurses should be ready to go as-is.
Comment 5 Martin Wilke freebsd_committer 2015-12-19 15:35:50 UTC
Hi,

Any updated on this?
Comment 6 Nikolai Lifanov 2015-12-20 00:56:00 UTC
Yes, actually. It was fixed upstream a few hours ago :)
http://joeyh.name/code/scroll/news/version_1.20151219/

Hold on a bit while I re-roll patches and retest this.
Comment 7 Nikolai Lifanov 2015-12-20 02:21:43 UTC
o Update games/hs-scroll to 1.20151219 (fixes with GHC 7.10)
o Update devel/hs-ncurses to 0.2.14 (and wrap long line in pkg-descr)

I run-tested these on 11.0-CURRENT and 10.2-RELEASE.

I'm also attaching individual shars for new ports because a committer asked me to do this for new ports, but the diff includes bsd.hackage.mk change for hs-ncurses.
Comment 8 Nikolai Lifanov 2015-12-20 02:23:40 UTC
Created attachment 164400 [details]
games/hs-scroll
Comment 9 Nikolai Lifanov 2015-12-20 02:24:09 UTC
Created attachment 164401 [details]
hs-ncurses testport
Comment 10 Nikolai Lifanov 2015-12-20 02:24:56 UTC
Created attachment 164402 [details]
hs-scroll testport
Comment 11 Nikolai Lifanov 2015-12-20 02:25:21 UTC
Created attachment 164403 [details]
hs-ncurses shar
Comment 12 Nikolai Lifanov 2015-12-20 02:25:46 UTC
Created attachment 164404 [details]
hs-scroll shar
Comment 13 Nikolai Lifanov 2015-12-20 02:27:58 UTC
Created attachment 164405 [details]
games/hs-scroll
Comment 14 Nikolai Lifanov 2016-02-01 17:15:29 UTC
Created attachment 166407 [details]
bsd.hackage.mk addition for devel/hs-ncurses
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-01 17:17:39 UTC
This is good to commit
Comment 16 Gabor Pali freebsd_committer 2016-02-02 07:28:24 UTC
Sorry, I did not about this ticket.  Now I am taking this on behalf of haskell@.  The submitted materials look fine at the first glance, but I would like to double check them.
Comment 17 Gabor Pali freebsd_committer 2016-02-02 07:56:36 UTC
(In reply to Nikolai Lifanov from comment #0):
I can take the maintainership for the ports on behalf of haskell@, if you wish, but I do not insist on that.
Comment 18 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-02 07:57:46 UTC
Thanks Gabor!

Assign to Committer resolving, leave team (haskell@) CC'd.
Comment 19 Nikolai Lifanov 2016-02-02 13:45:59 UTC
Yes, please take maintainership if you are willing.
The haskell@ team is better equipped for this.
Comment 20 Gabor Pali freebsd_committer 2016-02-06 06:55:19 UTC
Fix assignee.
Comment 21 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-10 15:54:36 UTC
@Gabor, it's preferred that each issue (particularly those for teams@) are assigned to a member of that team so that:

* their work can be attributed 
* they are notified directly on issue changes, and if issues are re-opened
* it shows up in each individuals 'my issues' list.
* the bugzilla issue triage team can consider it 'assigned'
Comment 22 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-10 15:55:17 UTC
@Gabor, Apologies for not being clearwhen changing the assignment earlier
Comment 23 commit-hook freebsd_committer 2016-02-19 20:39:13 UTC
A commit references this bug:

Author: pgj
Date: Fri Feb 19 20:38:30 UTC 2016
New revision: 409201
URL: https://svnweb.freebsd.org/changeset/ports/409201

Log:
  GNU ncurses is a library for creating command-line application with
  pseudo-graphical interfaces. This package is a nice, modern binding to GNU
  ncurses.

  WWW: https://john-millikin.com/software/haskell-ncurses/

  PR:		200112
  Submitted by:	Nikolai Lifanov <lifanov@mail.lifanov.com>
  Obtained from:	FreeBSD Haskell

Changes:
  head/devel/Makefile
  head/devel/hs-ncurses/
  head/devel/hs-ncurses/Makefile
  head/devel/hs-ncurses/distinfo
  head/devel/hs-ncurses/pkg-descr
  head/lang/ghc/bsd.hackage.mk
Comment 24 commit-hook freebsd_committer 2016-02-19 20:43:15 UTC
A commit references this bug:

Author: pgj
Date: Fri Feb 19 20:43:07 UTC 2016
New revision: 409202
URL: https://svnweb.freebsd.org/changeset/ports/409202

Log:
  In scroll, you're a bookworm that's stuck on a scroll. You have to dodge
  between words and use spells to make your way down the page as the scroll
  is read. Go too slow and you'll get wound up in the scroll and crushed.

  WWW: http://joeyh.name/code/scroll/

  PR:		200112
  Submitted by:	Nikolai Lifanov <lifanov@mail.lifanov.com>
  Obtained from:	FreeBSD Haskell

Changes:
  head/games/Makefile
  head/games/hs-scroll/
  head/games/hs-scroll/Makefile
  head/games/hs-scroll/distinfo
  head/games/hs-scroll/pkg-descr
  head/lang/ghc/bsd.hackage.mk
Comment 25 Gabor Pali freebsd_committer 2016-02-19 20:54:16 UTC
The ports have been added to the tree with minor fixes and with their updated versions.  Thank you for your submission!